MKFS.BFS(8)

BEZEICHNUNG
mkfs.bfs - ein SCO-Bfs-Dateisystem erstellen

ÜBERSICHT

mkfs.bfs [Optionen] Gerät [Blockanzahl]

BESCHREIBUNG

mkfs.bfs erstellt ein SCO-BFS-Dateisystem auf einem blockorientierten Gerät (üblicherweise einer Festplattenpartition oder einer Datei, auf die als Loop-Gerät zugegriffen wird).

Der Blockanzahl-Parameter gibt die gewünschte Größe des Dateisystems in Blöcken an. Falls nichts angegeben wird, wird die gesamte Partition genutzt.

OPTIONEN

-N, --inodes Anzahl
    gibt die gewünschte Anzahl der I-Nodes an, meist 512. Falls nichts angegeben wird, dann wird eine vorgegebene Anzahl zwischen 48 und 512 verwendet, abhängig von der Größe der Partition.

-V, --vname Bezeichnung
    gibt die Bezeichnung des Dateisystems an. Es ist unklar, wo oder wie dies verwendet wird.

-F, --fname Name
    gibt den Namen des Dateisystems an. Es ist unklar, wo oder wie dies verwendet wird.

--lock[=Modus]
    verwendet eine exklusive BSD-Sperre für das Gerät oder die Datei, auf dem/der es agiert. Das optionale Argument Modus kann yes, no (oder 1 und 0) oder nonblock sein. Falls das Argument Modus weggelassen wird, wird standardmäßig yes angenommen. Diese Option setzt die Umgebungsvariable $LOCK_BLOCK_DEVICE außer Kraft. Standardmäßig wird überhaupt keine Sperre gesetzt, dies wird aber empfohlen, um Kollisionen mit *systemd-udevd>(8) oder anderen Werkzeugen zu vermeiden.

-v, --verbose
    erklärt, was geschieht.

-c
    Diese Option wird stillschweigend ignoriert.

-l
    Diese Option wird stillschweigend ignoriert.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm. Die Option -V wirkt nur als --version, wenn es die einzige Option ist.

EXIT-STATUS

Der von mkfs.bfs zurückgegebene Exit-Status ist 0 bei Erfolg und 1 bei Fehlschlag.

SIEHE AUCH

mkfs(8)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl mkfs.bfs ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.